Package it.ernytech.tdlib

## Class TdApi.UserPrivacySettingRules

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.UserPrivacySettingRules

Enclosing class:
  TdApi

    public static class TdApi.UserPrivacySettingRules
    extends TdApi.Object

A list of privacy rules. Rules are matched in the specified order. The first matched rule defines the privacy setting for a given user. If no rule matches, the action is not allowed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.UserPrivacySettingRule[]` `rules` A list of rules.

### Constructor Summary

Constructors
`UserPrivacySettingRules()` Default constructor.
`UserPrivacySettingRules​(TdApi.UserPrivacySettingRule[] rules)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### rules

    public TdApi.UserPrivacySettingRule[] rules

A list of rules.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UserPrivacySettingRules

    public UserPrivacySettingRules()

Default constructor.

#### UserPrivacySettingRules

    public UserPrivacySettingRules​(TdApi.UserPrivacySettingRule[] rules)

Constructor for initialization of all fields.

Parameters:
  `rules` - A list of rules.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR